using System.Collections.Generic;

namespace EmbeddedLinkUpdater.Code.Events
{
    public class DocumentLinksDelegateArgs
    {
        public string DocumentName { get; set; }
        public List<string> Links { get; set; }
        public bool Result { get; set; }
        public string ResultMessage { get; set; }

        public DocumentLinksDelegateArgs(string documentName, List<string> links, bool result, string resultMessage)
        {
            DocumentName = documentName;
            Links = links;
            Result = result;
            ResultMessage = resultMessage;
        }
    }
}