﻿using System.Configuration;

namespace EmbeddedLinkUpdater.Code
{
    public static class ConfigSettings
    {
        public static string WordFileExtensions
        {
            get
            {
                return ConfigurationManager.AppSettings["Word"] ?? string.Empty;
            }
        }

        public static string ExcelFileExtensions
        {
            get
            {
                return ConfigurationManager.AppSettings["Excel"] ?? string.Empty;
            }
        }

        public static string PowerPointFileExtensions
        {
            get
            {
                return ConfigurationManager.AppSettings["PowerPoint"] ?? string.Empty;
            }
        }

        public static string GetSettingValueByKey(string key)
        {
            return ConfigurationManager.AppSettings[key] ?? string.Empty;
        }
    }
}
